V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
yibo2018
V2EX  ›  Java

gradle 问题

  •  
  •   yibo2018 · 109 天前 · 862 次点击
    这是一个创建于 109 天前的主题,其中的信息可能已经有所发展或是发生改变。

    load gradle 会报错

    Cause: class jdk.internal.loader.ClassLoaders$PlatformClassLoader cannot be cast to class java.net.URLClassLoader (jdk.internal.loader.ClassLoaders$PlatformClassLoader and java.net.URLClassLoader are in module java.base of loader 'bootstrap')
    
    

    springBootVersion=2.4.3

    在 ide project structure 中切换 project sdk 1.8 / 11 均无效果

    google 上的每个链接都被我点过了,解决不了,求助

    2 条回复    2022-03-09 11:23:39 +08:00
    ikas
        1
    ikas  
       109 天前   ❤️ 1
    PlatformClassLoader 是 java9+的类加载器
    你这个应该是采用了不支持高版本 jdk 的 gradle 的问题
    要么降低 gradle 的 jdk(设置中找 gradle,不是项目 jdk)
    要么升级 gradle
    yibo2018
        2
    yibo2018  
    OP
       109 天前
    @ikas 感谢,解决了
    关于   ·   帮助文档   ·   API   ·   FAQ   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   945 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 25ms · UTC 21:18 · PVG 05:18 · LAX 14:18 · JFK 17:18
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.